#region Copyright Syncfusion Inc. 2001-2015.
// Copyright Syncfusion Inc. 2001-2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;
using System.IO;
//using Syncfusion.XlsIO;
using System.Diagnostics;

namespace GDBG_Sample
{
    public partial class Form1 : Form
    {        
        public Form1()
        {
            InitializeComponent();
            this.gridDataBoundGrid1.AllowProportionalColumnSizing = true;
            DataCollection dataSource = new DataCollection();
            Random rand = new Random();
            int r = rand.Next(100);
            for (int i = 0; i < 100; i++)
            {
                dataSource.Add(new Data(r.ToString(), "Category" + r.ToString(), "Desc" + r.ToString(), r.ToString() + "Data"));
                r = rand.Next(100);
            }
            this.gridDataBoundGrid1.DataSource = dataSource;


            this.gridDataBoundGrid1.GridVisualStyles = Syncfusion.Windows.Forms.GridVisualStyles.SystemTheme;
            this.gridDataBoundGrid1.ListBoxSelectionMode = SelectionMode.One;
            
        }
        void ReadXml(DataSet ds, string xmlFileName)
        {
            for (int n = 0; n < 10; n++)
            {
                if (File.Exists(xmlFileName))
                {
                    ds.ReadXml(xmlFileName);
                    break;
                }
                xmlFileName = @"..\..\Data\" + xmlFileName;
            }
        }

        private void btn_firstRec_Click(object sender, EventArgs e)
        {
            this.gridDataBoundGrid1.CurrentCell.MoveTo(GridRangeInfo.Row(this.gridDataBoundGrid1.TopRowIndex));
        }

        private void btn_nextRec_Click(object sender, EventArgs e)
        {
            int currentRow = this.gridDataBoundGrid1.CurrentCell.RowIndex;
            this.gridDataBoundGrid1.CurrentCell.MoveTo(GridRangeInfo.Row(currentRow + 1));
        }

        private void btn_prevRec_Click(object sender, EventArgs e)
        {
            int currentRow = this.gridDataBoundGrid1.CurrentCell.RowIndex;
            this.gridDataBoundGrid1.CurrentCell.MoveTo(GridRangeInfo.Row(currentRow - 1));
        }

        private void btn_lastRec_Click(object sender, EventArgs e)
        {
            int lastRow = this.gridDataBoundGrid1.Model.RowCount;
            this.gridDataBoundGrid1.CurrentCell.MoveTo(GridRangeInfo.Row(lastRow-1));
        }

        private void btn_gotoRec_Click(object sender, EventArgs e)
        {
            int rowIndex =Convert.ToInt32(this.textBox1.Text);
            this.gridDataBoundGrid1.CurrentCell.MoveTo(GridRangeInfo.Row(rowIndex));
        }
    }
}